<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LRegion StructType
 * @subpackage Structs
 */
class LRegion extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The defaultCodec
     * Meta information extracted from the WSDL
     * - documentation: Not valid for get and list
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $defaultCodec;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LRegion
     * @uses LRegion::setName()
     * @uses LRegion::setDefaultCodec()
     * @uses LRegion::setUuid()
     * @param string $name
     * @param string $defaultCodec
     * @param string $uuid
     */
    public function __construct($name = null, $defaultCodec = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDefaultCodec($defaultCodec)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRegion
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get defaultCodec value
     * @return string|null
     */
    public function getDefaultCodec()
    {
        return $this->defaultCodec;
    }
    /**
     * Set defaultCodec value
     * @param string $defaultCodec
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRegion
     */
    public function setDefaultCodec($defaultCodec = null)
    {
        $this->defaultCodec = $defaultCodec;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRegion
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
